## pcsx2 2.4.0%2Bdfsg

=== debian/control ===
Source: pcsx2
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Sébastien Noel <sebastien@twolife.be>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends: debhelper-compat (= 13),
               cmake,
               extra-cmake-modules,
               googletest,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libbacktrace-dev,
               libchdr-dev (>= 0.0~git20250608~),
               libcpuinfo-dev,
               libcubeb-dev,
               libcurl4-openssl-dev,
               libdiscord-rpc-dev,
               libfast-float-dev,
               libfreetype-dev,
               libfmt-dev,
               libicu-dev,
               libjpeg-dev,
               libkddockwidgets-qt6-dev,
               liblz4-dev,
               libpcap-dev,
#               libplutosvg-dev,
               libplutovg-dev,
               libpng-dev,
               librcheevos-dev,
               libsdl3-dev,
               libshaderc-dev,
               libsimpleini-dev,
               libsoundtouch-dev,
               libspeex-dev,
               libswresample-dev,
               libswscale-dev,
               libvixl-dev [arm64],
               libvulkan-dev,
               libvulkan-memory-allocator-dev,
               libwebp-dev,
               libxbyak-dev [amd64],
               libzip-dev,
               libzstd-dev,
               libzydis-dev [amd64],
               qt6-base-private-dev,
               qt6-tools-dev,
               rapidjson-dev,
               zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://pcsx2.net/
Vcs-Git: https://salsa.debian.org/games-team/pcsx2.git
Vcs-Browser: https://salsa.debian.org/games-team/pcsx2

Package: pcsx2
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-roboto-unhinted
Description: Playstation 2 emulator
 PCSX2 is a PlayStation 2 emulator for Windows and Linux.
 .
 This package includes the main binary, plug-ins and localization files.

## pcsx2 2.4.0+dfsg

=== debian/changelog ===
pcsx2 (2.4.0+dfsg-2) unstable; urgency=medium

  * Build on amd64 without '-march=native'
  * Disable build on arm64, upstream stress that this port is incomplete
    and ask to not ship work in progress to users.

 -- Sébastien Noel <sebastien@twolife.be>  Sat, 17 Jan 2026 12:35:55 +0100

pcsx2 (2.4.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream release (Closes: #960860)
    + Fix CVE-2025-49589 (Closes: #1107756)
  * Build package for amd64 & arm64 instead of i386
  * Build-Depends on Qt6 instead of wxWidgets
  * Drop obsolete patches
  * Update d/copyright
  * Apply upstream patch to fix CVE-2025-67749 (Closes: #1122861)
  * Temporary vendor plutosvg, stuck in the NEW queue.

  [ David James ]
  * Add patches to link against system libraries instead of vendored ones.

 -- Sébastien Noel <sebastien@twolife.be>  Fri, 16 Jan 2026 15:07:13 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		-DUSE_LINKED_FFMPEG=ON \
		-DPACKAGE_MODE=ON \
		-DDISABLE_ADVANCE_SIMD=ON \
		-DENABLE_TESTS=1

execute_after_dh_auto_install:
	mv debian/pcsx2/usr/bin debian/pcsx2/usr/games
	install -m644 pcsx2-qt/resources/icons/AppIcon64.png debian/pcsx2/usr/share/pixmaps/pcsx2-qt.png
	install -m644 debian/pcsx2-qt.desktop debian/pcsx2/usr/share/applications/pcsx2-qt.desktop
	rm debian/pcsx2/usr/share/PCSX2/resources/icons/flags/LICENSE
	rm debian/pcsx2/usr/share/PCSX2/resources/sounds/achievements/README.txt

=== debian/watch ===
Version: 5

Template: Github
Owner: PCSX2
Project: pcsx2
Repack: yes
Repacksuffix: +dfsg
Dversion-Mangle: auto
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/v?(2\.[2468][0-9\.]*)

Component: plutosvg
Template: Github
Owner: sammycage
Project: plutosvg
Compression: xz

## pcsx2 2.6.3+dfsg

=== common/CMakeLists.txt ===
# Check that people use the good file
if(NOT TOP_CMAKE_WAS_SOURCED)
	message(FATAL_ERROR "
	You did not 'cmake' the good CMakeLists.txt file. Use the one in the top dir.
	It is advice to delete all wrongly generated cmake stuff => CMakeFiles & CMakeCache.txt")
endif(NOT TOP_CMAKE_WAS_SOURCED)

add_library(common)

target_sources(common PRIVATE
	AlignedMalloc.cpp
	Assertions.cpp
	Console.cpp
	CrashHandler.cpp
	DynamicLibrary.cpp
	Error.cpp
	FastJmp.cpp
	FileSystem.cpp
	HostSys.cpp
	Image.cpp
	HTTPDownloader.cpp
	MemorySettingsInterface.cpp
	MD5Digest.cpp
	PrecompiledHeader.cpp
	Perf.cpp
	ProgressCallback.cpp
	ReadbackSpinManager.cpp
	Semaphore.cpp
	SettingsWrapper.cpp
	SmallString.cpp
	StringUtil.cpp
	TextureDecompress.cpp
	Timer.cpp
	WAVWriter.cpp
	WindowInfo.cpp
	YAML.cpp
)

target_sources(common PRIVATE
	AlignedMalloc.h
	Assertions.h
	boost_spsc_queue.hpp
	BitUtils.h
	ByteSwap.h
	Console.h
	CrashHandler.h
	DynamicLibrary.h
	Easing.h
	EnumOps.h
	Error.h
	FPControl.h
	FastJmp.h
	FileSystem.h
	HashCombine.h
	HostSys.h
	HeterogeneousContainers.h
	Image.h
	LRUCache.h
	HeapArray.h
	HTTPDownloader.h
	MemorySettingsInterface.h
	MD5Digest.h
	MRCHelpers.h
	Path.h
	PrecompiledHeader.h
	ProgressCallback.h
	ReadbackSpinManager.h
	RedtapeWilCom.h
	RedtapeWindows.h
	ScopedGuard.h
	SettingsInterface.h
	SettingsWrapper.h
	SingleRegisterTypes.h
	SmallString.h
	StringUtil.h
	Timer.h
	TextureDecompress.h
	Threading.h
	VectorIntrin.h
	WAVWriter.h
	WindowInfo.h
	WrappedMemCopy.h
	YAML.h
)

if(_M_X86)
	target_sources(common PRIVATE
		emitter/bmi.cpp
		emitter/fpu.cpp
		emitter/groups.cpp
		emitter/jmp.cpp
		emitter/legacy.cpp
		emitter/legacy_sse.cpp
		emitter/movs.cpp
		emitter/simd.cpp
		emitter/x86emitter.cpp
	)

	target_sources(common PRIVATE
		emitter/implement/dwshift.h
		emitter/implement/group1.h
		emitter/implement/group2.h
		emitter/implement/group3.h
		emitter/implement/helpers.h
		emitter/implement/incdec.h
		emitter/implement/jmpcall.h
		emitter/implement/movs.h
		emitter/implement/simd_arithmetic.h
		emitter/implement/simd_comparisons.h
		emitter/implement/simd_helpers.h
		emitter/implement/simd_moremovs.h
		emitter/implement/simd_shufflepack.h
		emitter/implement/simd_templated_helpers.h
		emitter/implement/test.h
		emitter/implement/xchg.h
		emitter/instructions.h
		emitter/internal.h
		emitter/legacy_instructions.h
		emitter/legacy_internal.h
		emitter/legacy_types.h
		emitter/x86emitter.h
		emitter/x86types.h
	)
endif()

if(WIN32)
	enable_language(ASM_MASM)
	target_sources(common PRIVATE
		FastJmp.asm
		HTTPDownloaderWinHTTP.cpp
		HTTPDownloaderWinHTTP.h
		StackWalker.cpp
		StackWalker.h
		Windows/WinThreads.cpp
		Windows/WinHostSys.cpp
		Windows/WinMisc.cpp
	)
	target_link_libraries(common PUBLIC
		WIL::WIL
		winmm
		pathcch
	)
elseif(APPLE)
	target_sources(common PRIVATE
		CocoaTools.mm
		CocoaTools.h
		Darwin/DarwinThreads.cpp
		Darwin/DarwinMisc.cpp
		Darwin/DarwinMisc.h
	)
	target_compile_options(common PRIVATE -fobjc-arc)
	target_link_options(common PRIVATE -fobjc-link-runtime)
	target_link_libraries(common PRIVATE
		"-framework Foundation"
		"-framework IOKit"
	)
else()
	target_sources(common PRIVATE
		Linux/LnxHostSys.cpp
		Linux/LnxThreads.cpp
		Linux/LnxMisc.cpp
	)
	target_include_directories(common PRIVATE
		${DBUS_INCLUDE_DIRS}
	)
	target_link_libraries(common PRIVATE
		${DBUS_LINK_LIBRARIES}
		X11::X11
		X11::Xrandr
		X11::Xi
	)
	if(USE_BACKTRACE)
		target_compile_definitions(common PRIVATE "HAS_LIBBACKTRACE=1")
		target_link_libraries(common PRIVATE libbacktrace::libbacktrace)
	endif()
endif()

set_source_files_properties(PrecompiledHeader.cpp PROPERTIES HEADER_FILE_ONLY TRUE)

if(USE_VTUNE)
	target_link_libraries(common PUBLIC Vtune::Vtune)
endif()

if (USE_GCC AND CMAKE_INTERPROCEDURAL_OPTIMIZATION)
	# GCC LTO doesn't work with asm statements
	set_source_files_properties(FastJmp.cpp PROPERTIES COMPILE_FLAGS -fno-lto)
endif()

if(NOT WIN32)
	# libcurl-based HTTPDownloader
	target_sources(common PRIVATE
		HTTPDownloaderCurl.cpp
		HTTPDownloaderCurl.h
	)
	target_link_libraries(common PRIVATE
		CURL::libcurl
	)
endif()

target_link_libraries(common PRIVATE
	${LIBC_LIBRARIES}
	JPEG::JPEG
	PNG::PNG
	WebP::libwebp
	cpuinfo
)

target_link_libraries(common PUBLIC
	fmt::fmt
	fast_float
	rapidyaml::rapidyaml
)

fixup_file_properties(common)
target_compile_features(common PUBLIC cxx_std_17)
target_include_directories(common PUBLIC ../3rdparty/include ../)
target_compile_definitions(common PUBLIC "${PCSX2_DEFS}")
target_compile_options(common PRIVATE "${PCSX2_WARNINGS}")

if(COMMAND target_precompile_headers)
	target_precompile_headers(common PRIVATE PrecompiledHeader.h)
endif()

=== pcsx2-qt/CMakeLists.txt ===
include(CopyBaseTranslations)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

add_executable(pcsx2-qt)

target_sources(pcsx2-qt PRIVATE
	AboutDialog.cpp
	AboutDialog.h
	AboutDialog.ui
	AutoUpdaterDialog.cpp
	AutoUpdaterDialog.h
	AutoUpdaterDialog.ui
	ColorPickerButton.cpp
	ColorPickerButton.h
	CoverDownloadDialog.cpp
	CoverDownloadDialog.h
	CoverDownloadDialog.ui
	DisplayWidget.cpp
	DisplayWidget.h
	EarlyHardwareCheck.cpp
	LogWindow.cpp
	LogWindow.h
	MainWindow.cpp
	MainWindow.h
	MainWindow.ui
	PrecompiledHeader.cpp
	PrecompiledHeader.h
	SettingWidgetBinder.h
	SetupWizardDialog.cpp
	SetupWizardDialog.h
	SetupWizardDialog.ui
	Themes.cpp
	Translations.cpp
	QtHost.cpp
	QtHost.h
	QtKeyCodes.cpp
	QtProgressCallback.cpp
	QtProgressCallback.h
	QtUtils.cpp
	QtUtils.h
	GameList/EmptyGameListWidget.ui
	GameList/GameListModel.cpp
	GameList/GameListModel.h
	GameList/GameListRefreshThread.cpp
	GameList/GameListRefreshThread.h
	GameList/GameListWidget.cpp
	GameList/GameListWidget.h
	Settings/AchievementLoginDialog.cpp
	Settings/AchievementLoginDialog.h
	Settings/AchievementLoginDialog.ui
	Settings/AchievementSettingsWidget.cpp
	Settings/AchievementSettingsWidget.h
	Settings/AchievementSettingsWidget.ui
	Settings/AdvancedSettingsWidget.cpp
	Settings/AdvancedSettingsWidget.h
	Settings/AdvancedSettingsWidget.ui
	Settings/AudioExpansionSettingsDialog.ui
	Settings/AudioSettingsWidget.cpp
	Settings/AudioSettingsWidget.h
	Settings/AudioSettingsWidget.ui
	Settings/AudioStretchSettingsDialog.ui
	Settings/BIOSSettingsWidget.cpp
	Settings/BIOSSettingsWidget.h
	Settings/BIOSSettingsWidget.ui
	Settings/ControllerBindingWidget_DualShock2.ui
	Settings/ControllerBindingWidget_Guitar.ui
	Settings/ControllerBindingWidget_Popn.ui
	Settings/ControllerBindingWidget.cpp
	Settings/ControllerBindingWidget.h
	Settings/ControllerBindingWidget.ui
	Settings/ControllerLEDSettingsDialog.ui
	Settings/ControllerGlobalSettingsWidget.cpp
	Settings/ControllerGlobalSettingsWidget.h
	Settings/ControllerGlobalSettingsWidget.ui
	Settings/ControllerMacroEditWidget.ui
	Settings/ControllerMacroWidget.ui
	Settings/ControllerMappingSettingsDialog.ui
	Settings/ControllerMouseSettingsDialog.ui
	Settings/ControllerSettingsWindow.cpp
	Settings/ControllerSettingsWindow.h
	Settings/ControllerSettingsWindow.ui
	Settings/ControllerSettingWidgetBinder.h
	Settings/DebugAnalysisSettingsTab.ui
	Settings/DebugAnalysisSettingsWidget.cpp
	Settings/DebugAnalysisSettingsWidget.h
	Settings/DebugAnalysisSettingsWidget.ui
	Settings/DebugGSSettingsTab.ui
	Settings/DebugLoggingSettingsTab.ui
	Settings/DebugUserInterfaceSettingsTab.ui
	Settings/DebugSettingsWidget.cpp
	Settings/DebugSettingsWidget.h
	Settings/EmulationSettingsWidget.cpp
	Settings/EmulationSettingsWidget.h
	Settings/EmulationSettingsWidget.ui
	Settings/FolderSettingsWidget.cpp
	Settings/FolderSettingsWidget.h
	Settings/FolderSettingsWidget.ui
	Settings/GameCheatSettingsWidget.cpp
	Settings/GameCheatSettingsWidget.h
	Settings/GameCheatSettingsWidget.ui
	Settings/GameFixSettingsWidget.cpp
	Settings/GameFixSettingsWidget.h
	Settings/GameFixSettingsWidget.ui
	Settings/GameListSettingsWidget.cpp
	Settings/GameListSettingsWidget.h
	Settings/GameListSettingsWidget.ui
	Settings/GamePatchDetailsWidget.ui
	Settings/GamePatchSettingsWidget.cpp
	Settings/GamePatchSettingsWidget.h
	Settings/GamePatchSettingsWidget.ui
	Settings/GameSummaryWidget.cpp
	Settings/GameSummaryWidget.h
	Settings/GameSummaryWidget.ui
	Settings/GraphicsAdvancedSettingsTab.ui
	Settings/GraphicsDisplaySettingsTab.ui
	Settings/GraphicsHardwareFixesSettingsTab.ui
	Settings/GraphicsHardwareRenderingSettingsTab.ui
	Settings/GraphicsMediaCaptureSettingsTab.ui
	Settings/GraphicsOnScreenDisplaySettingsTab.ui
	Settings/GraphicsPostProcessingSettingsTab.ui
	Settings/GraphicsSettingsHeader.ui
	Settings/GraphicsSettingsWidget.cpp
	Settings/GraphicsSettingsWidget.h
	Settings/GraphicsSoftwareRenderingSettingsTab.ui
	Settings/GraphicsTextureReplacementSettingsTab.ui
	Settings/GraphicsUpscalingFixesSettingsTab.ui
	Settings/HotkeySettingsWidget.cpp
	Settings/HotkeySettingsWidget.h
	Settings/InputBindingDialog.cpp
	Settings/InputBindingDialog.h
	Settings/InputBindingDialog.ui
	Settings/InputBindingWidget.cpp
	Settings/InputBindingWidget.h
	Settings/InterfaceSettingsWidget.cpp
	Settings/InterfaceSettingsWidget.h
	Settings/InterfaceSettingsWidget.ui
	Settings/MemoryCardConvertDialog.cpp
	Settings/MemoryCardConvertDialog.h
	Settings/MemoryCardConvertDialog.ui
	Settings/MemoryCardConvertWorker.cpp
	Settings/MemoryCardConvertWorker.h
	Settings/MemoryCardCreateDialog.cpp
	Settings/MemoryCardCreateDialog.h
	Settings/MemoryCardCreateDialog.ui
	Settings/MemoryCardSettingsWidget.cpp
	Settings/MemoryCardSettingsWidget.h
	Settings/MemoryCardSettingsWidget.ui
	Settings/DEV9DnsHostDialog.cpp
	Settings/DEV9DnsHostDialog.h
	Settings/DEV9DnsHostDialog.ui
	Settings/DEV9SettingsWidget.cpp
	Settings/DEV9SettingsWidget.h
	Settings/DEV9SettingsWidget.ui
	Settings/DEV9UiCommon.cpp
	Settings/DEV9UiCommon.h
	Settings/HddCreateQt.cpp
	Settings/HddCreateQt.h
	Settings/PatchDetailsWidget.ui
	Settings/SettingsWidget.cpp
	Settings/SettingsWidget.h
	Settings/SettingsWindow.cpp
	Settings/SettingsWindow.h
	Settings/SettingsWindow.ui
	Settings/USBBindingWidget_DenshaCon.ui
	Settings/USBBindingWidget_DrivingForce.ui
	Settings/USBBindingWidget_GTForce.ui
	Settings/USBBindingWidget_GunCon2.ui
	Settings/USBBindingWidget_RyojouhenCon.ui
	Settings/USBBindingWidget_ShinkansenCon.ui
	Debugger/AnalysisOptionsDialog.cpp
	Debugger/AnalysisOptionsDialog.h
	Debugger/AnalysisOptionsDialog.ui
	Debugger/DebuggerSettingsManager.cpp
	Debugger/DebuggerSettingsManager.h
	Debugger/DebuggerEvents.h
	Debugger/DebuggerView.cpp
	Debugger/DebuggerView.h
	Debugger/DebuggerWindow.cpp
	Debugger/DebuggerWindow.h
	Debugger/DebuggerWindow.ui
	Debugger/DisassemblyView.cpp
	Debugger/DisassemblyView.h
	Debugger/DisassemblyView.ui
	Debugger/JsonValueWrapper.h
	Debugger/ModuleModel.cpp
	Debugger/ModuleModel.h
	Debugger/ModuleView.cpp
	Debugger/ModuleView.h
	Debugger/RegisterView.cpp
	Debugger/RegisterView.h
	Debugger/RegisterView.ui
	Debugger/StackModel.cpp
	Debugger/StackModel.h
	Debugger/StackView.cpp
	Debugger/StackView.h
	Debugger/ThreadModel.cpp
	Debugger/ThreadModel.h
	Debugger/ThreadView.cpp
	Debugger/ThreadView.h
	Debugger/Breakpoints/BreakpointDialog.cpp
	Debugger/Breakpoints/BreakpointDialog.h
	Debugger/Breakpoints/BreakpointDialog.ui
	Debugger/Breakpoints/BreakpointModel.cpp
	Debugger/Breakpoints/BreakpointModel.h
	Debugger/Breakpoints/BreakpointView.cpp
	Debugger/Breakpoints/BreakpointView.h
	Debugger/Breakpoints/BreakpointView.ui
	Debugger/Docking/DockLayout.cpp
	Debugger/Docking/DockLayout.h
	Debugger/Docking/DockManager.cpp
	Debugger/Docking/DockManager.h
	Debugger/Docking/DockMenuBar.cpp
	Debugger/Docking/DockMenuBar.h
	Debugger/Docking/DockTables.cpp
	Debugger/Docking/DockTables.h
	Debugger/Docking/DockUtils.cpp
	Debugger/Docking/DockUtils.h
	Debugger/Docking/DockViews.cpp
	Debugger/Docking/DockViews.h
	Debugger/Docking/DropIndicators.cpp
	Debugger/Docking/DropIndicators.h
	Debugger/Docking/LayoutEditorDialog.cpp
	Debugger/Docking/LayoutEditorDialog.h
	Debugger/Docking/LayoutEditorDialog.ui
	Debugger/Docking/NoLayoutsWidget.cpp
	Debugger/Docking/NoLayoutsWidget.h
	Debugger/Docking/NoLayoutsWidget.ui
	Debugger/Memory/MemorySearchView.cpp
	Debugger/Memory/MemorySearchView.h
	Debugger/Memory/MemorySearchView.ui
	Debugger/Memory/MemoryView.cpp
	Debugger/Memory/MemoryView.h
	Debugger/Memory/MemoryView.ui
	Debugger/Memory/SavedAddressesModel.cpp
	Debugger/Memory/SavedAddressesModel.h
	Debugger/Memory/SavedAddressesView.cpp
	Debugger/Memory/SavedAddressesView.h
	Debugger/Memory/SavedAddressesView.ui
	Debugger/SymbolTree/NewSymbolDialogs.cpp
	Debugger/SymbolTree/NewSymbolDialogs.h
	Debugger/SymbolTree/NewSymbolDialog.ui
	Debugger/SymbolTree/SymbolTreeLocation.cpp
	Debugger/SymbolTree/SymbolTreeLocation.h
	Debugger/SymbolTree/SymbolTreeModel.cpp
	Debugger/SymbolTree/SymbolTreeModel.h
	Debugger/SymbolTree/SymbolTreeNode.cpp
	Debugger/SymbolTree/SymbolTreeNode.h
	Debugger/SymbolTree/SymbolTreeDelegates.cpp
	Debugger/SymbolTree/SymbolTreeDelegates.h
	Debugger/SymbolTree/SymbolTreeViews.cpp
	Debugger/SymbolTree/SymbolTreeViews.h
	Debugger/SymbolTree/SymbolTreeView.ui
	Debugger/SymbolTree/TypeString.cpp
	Debugger/SymbolTree/TypeString.h
	Tools/InputRecording/NewInputRecordingDlg.cpp
	Tools/InputRecording/NewInputRecordingDlg.h
	Tools/InputRecording/NewInputRecordingDlg.ui
	Tools/InputRecording/InputRecordingViewer.cpp
	Tools/InputRecording/InputRecordingViewer.h
	Tools/InputRecording/InputRecordingViewer.ui
	resources/resources.qrc
)

if (NOT APPLE)
    target_sources(pcsx2-qt PRIVATE
        ShortcutCreationDialog.cpp
        ShortcutCreationDialog.h
        ShortcutCreationDialog.ui
    )
endif()

file(GLOB TS_FILES ${CMAKE_CURRENT_SOURCE_DIR}/Translations/pcsx2-qt_*-*.ts)

target_precompile_headers(pcsx2-qt PRIVATE PrecompiledHeader.h)
set_source_files_properties(PrecompiledHeader.cpp PROPERTIES HEADER_FILE_ONLY TRUE)

target_include_directories(pcsx2-qt PRIVATE
	${Qt6Gui_PRIVATE_INCLUDE_DIRS}
	"${CMAKE_BINARY_DIR}/common/include"
	"${CMAKE_SOURCE_DIR}/pcsx2"
	"${CMAKE_SOURCE_DIR}/pcsx2-qt"
)

target_link_libraries(pcsx2-qt PRIVATE
	PCSX2_FLAGS
	PCSX2
	Qt6::Core
	Qt6::Gui
	Qt6::GuiPrivate
	Qt6::Widgets
	KDAB::kddockwidgets
)

# Our Qt builds may have exceptions on, so force them off.
target_compile_definitions(pcsx2-qt PRIVATE QT_NO_EXCEPTIONS)

if(WIN32)
	target_sources(pcsx2-qt PRIVATE VCRuntimeChecker.cpp)
	set_source_files_properties(${TS_FILES} PROPERTIES OUTPUT_LOCATION "${CMAKE_SOURCE_DIR}/bin/translations")
	qt_add_lrelease(pcsx2-qt TS_FILES ${TS_FILES})
	copy_base_translations(pcsx2-qt)
elseif(APPLE)
	qt_add_lrelease(pcsx2-qt TS_FILES ${TS_FILES} QM_FILES_OUTPUT_VARIABLE QM_FILES)
	set(PCSX2_MACOS_LOCALIZATIONS)
	foreach (TS_FILE IN LISTS TS_FILES)
		get_filename_component(TS_FILE_NAME ${TS_FILE} NAME)
		set(regex "^pcsx2-qt_([a-zA-Z0-9\\-]+)\\.ts$")
		if (TS_FILE_NAME MATCHES ${regex})
			string(REGEX REPLACE ${regex} "\\1" language ${TS_FILE_NAME})
			string(REPLACE "-" "_" language ${language})
			set(PCSX2_MACOS_LOCALIZATIONS "${PCSX2_MACOS_LOCALIZATIONS}\n\t\t<string>${language}</string>")
		else()
			message(WARNING "Unrecognized ts file ${TS_FILE_NAME}")
		endif()
	endforeach()
	foreach (QM_FILE IN LISTS QM_FILES)
		target_sources(pcsx2-qt PRIVATE ${QM_FILE})
		set_source_files_properties(${QM_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations/)
	endforeach()
	copy_base_translations(pcsx2-qt)
	extract_translation_from_ts(Translations/pcsx2-qt_en.ts source PermissionsDialogMicrophone PCSX2_MICROPHONE_USAGE_DESCRIPTION)
else()
	qt_add_lrelease(pcsx2-qt TS_FILES ${TS_FILES} QM_FILES_OUTPUT_VARIABLE QM_FILES)
	set(QM_OUTPUT_DIR "$<TARGET_FILE_DIR:pcsx2-qt>/translations")
	add_custom_command(TARGET pcsx2-qt POST_BUILD COMMAND "${CMAKE_COMMAND}" -E make_directory "${QM_OUTPUT_DIR}")
	foreach (QM_FILE IN LISTS QM_FILES)
		get_filename_component(QM_FILE_NAME ${QM_FILE} NAME)
		add_custom_command(TARGET pcsx2-qt POST_BUILD COMMAND "${CMAKE_COMMAND}" -E copy_if_different "${QM_FILE}" "${QM_OUTPUT_DIR}/${QM_FILE_NAME}")
	endforeach()
	copy_base_translations(pcsx2-qt)
endif()


# Currently, 7z is only needed for the Windows updater.
if(WIN32)
	target_link_libraries(pcsx2-qt PRIVATE
		LZMA::LZMA
	)
endif()

fixup_file_properties(pcsx2-qt)
setup_main_executable(pcsx2-qt)

=== 3rdparty/rapidyaml/CMakeLists.txt ===
add_library(pcsx2-rapidyaml
  include/c4/base64.hpp
  include/c4/blob.hpp
  include/c4/charconv.hpp
  include/c4/compiler.hpp
  include/c4/config.hpp
  include/c4/cpu.hpp
  include/c4/dump.hpp
  include/c4/error.hpp
  include/c4/export.hpp
  include/c4/format.hpp
  include/c4/language.hpp
  include/c4/memory_util.hpp
  include/c4/platform.hpp
  include/c4/preprocessor.hpp
  include/c4/std/std.hpp
  include/c4/std/std_fwd.hpp
  include/c4/std/string.hpp
  include/c4/std/string_fwd.hpp
  include/c4/std/string_view.hpp
  include/c4/std/tuple.hpp
  include/c4/std/vector.hpp
  include/c4/std/vector_fwd.hpp
  include/c4/substr.hpp
  include/c4/substr_fwd.hpp
  include/c4/szconv.hpp
  include/c4/types.hpp
  include/c4/utf.hpp
  include/c4/windows.hpp
  include/c4/windows_pop.hpp
  include/c4/windows_push.hpp
  include/c4/yml/common.hpp
  include/c4/yml/detail/dbgprint.hpp
  include/c4/yml/detail/stack.hpp
  include/c4/yml/emit.def.hpp
  include/c4/yml/emit.hpp
  include/c4/yml/event_handler_stack.hpp
  include/c4/yml/event_handler_tree.hpp
  include/c4/yml/filter_processor.hpp
  include/c4/yml/fwd.hpp
  include/c4/yml/export.hpp
  include/c4/yml/node.hpp
  include/c4/yml/node_type.hpp
  include/c4/yml/parse.hpp
  include/c4/yml/parse_engine.def.hpp
  include/c4/yml/parse_engine.hpp
  include/c4/yml/parser_state.hpp
  include/c4/yml/reference_resolver.hpp
  include/c4/yml/preprocess.hpp
  include/c4/yml/std/map.hpp
  include/c4/yml/std/std.hpp
  include/c4/yml/std/string.hpp
  include/c4/yml/std/vector.hpp
  include/c4/yml/tag.hpp
  include/c4/yml/tree.hpp
  include/c4/yml/version.hpp
  include/c4/yml/writer.hpp
  include/c4/yml/yml.hpp
  include/ryml.hpp
  include/ryml_std.hpp
  src/c4/base64.cpp
  src/c4/error.cpp
  src/c4/format.cpp
  src/c4/language.cpp
  src/c4/memory_util.cpp
  src/c4/utf.cpp
  src/c4/yml/common.cpp
  src/c4/yml/node.cpp
  src/c4/yml/parse.cpp
  src/c4/yml/preprocess.cpp
  src/c4/yml/tree.cpp
  src/c4/yml/node_type.cpp
  src/c4/yml/reference_resolver.cpp
  src/c4/yml/tag.cpp
  src/c4/yml/version.cpp
)

target_include_directories(pcsx2-rapidyaml PRIVATE
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
  "${CMAKE_CURRENT_SOURCE_DIR}/src"
  "${CMAKE_CURRENT_SOURCE_DIR}/../fast_float/include"
)
target_include_directories(pcsx2-rapidyaml INTERFACE
  "${CMAKE_CURRENT_SOURCE_DIR}/include"
)

target_compile_definitions(pcsx2-rapidyaml PUBLIC
  "C4_NO_DEBUG_BREAK"
)

add_library(rapidyaml::rapidyaml ALIAS pcsx2-rapidyaml)

=== debian/changelog ===
pcsx2 (2.6.3+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Feb 2026 15:36:21 +0000

pcsx2 (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * De-vendor plutosvg

 -- Sébastien Noel <sebastien@twolife.be>  Tue, 03 Feb 2026 18:50:14 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: pcsx2
 Section: games
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Sébastien Noel <sebastien@twolife.be>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>
@@ -25,7 +26,7 @@
                libkddockwidgets-qt6-dev,
                liblz4-dev,
                libpcap-dev,
-#               libplutosvg-dev,
+               libplutosvg-dev,
                libplutovg-dev,
                libpng-dev,
                librcheevos-dev,
@@ -44,7 +45,7 @@
                libzip-dev,
                libzstd-dev,
                libzydis-dev [amd64],
-               qt6-base-private-dev,
+               qt6-base-private-dev (>= 6.9.2),
                qt6-tools-dev,
                rapidjson-dev,
                zlib1g-dev
@@ -55,8 +56,11 @@
 
 Package: pcsx2
 Architecture: amd64
-Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-roboto-unhinted
+Depends: ${misc:Depends}, ${shlibs:Depends}, fonts-roboto-unhinted, fonts-noto-color-emoji
 Description: Playstation 2 emulator
- PCSX2 is a PlayStation 2 emulator for Windows and Linux.
+ PCSX2 is a free software PlayStation 2 (PS2) emulator.
+ It emulate the PS2's hardware, using a combination of MIPS CPU
+ Interpreters, Recompilers, and a Virtual Machine that manages hardware
+ states and system memory.
  .
- This package includes the main binary, plug-ins and localization files.
+ A significant majority of the PS2 library is considered playable.

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 		-DDISABLE_ADVANCE_SIMD=ON \
 		-DENABLE_TESTS=1
 
+override_dh_auto_build:
+	# False positive from blhc. See #1125781.
+	@echo 'blhc: ignore-line-regexp: /usr/(bin|lib)/(ccache/)?c\+\+ (?:-std=\S+ )?-w -dM -E (?:-c )?/usr/share/cmake-[0-9.]+/Modules/CMakeCXXCompilerABI.cpp .*'
+	dh_auto_build
+
 execute_after_dh_auto_install:
 	mv debian/pcsx2/usr/bin debian/pcsx2/usr/games
 	install -m644 pcsx2-qt/resources/icons/AppIcon64.png debian/pcsx2/usr/share/pixmaps/pcsx2-qt.png
